services:
  frontend:
    container_name: weather-frontend
    build: ./frontend
    networks:
      proxynet:
        ipv4_address: 172.20.0.22
    restart: unless-stopped

  backend:
    container_name: weather-backend
    build: ./backend
    networks:
      proxynet:
        ipv4_address: 172.20.0.23
    environment:
    restart: unless-stopped

networks:
  proxynet:
    external: true
